## tcpclientsrc tcpclientsrc |

## Properties

gchar * | host | Read / Write
gint | port | Read / Write

## Types and Values

struct | GstTCPClientSrc

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseSrc
                        ╰── GstPushSrc
                            ╰── GstTCPClientSrc

## Description

### Example launch line

    1
    2
    3
    4
    # server:
    nc -l -p 3000
    # client:
    gst-launch-1.0 tcpclientsrc port=3000 ! fdsink fd=2

everything you type in the server is shown on the client

## Synopsis

### Element Information

plugin | tcp
author | Thomas Vander Stichele <thomas at apestaart dot org>
class | Source/Network

### Element Pads

name | src
direction | source
presence | always
details | ANY

## Functions

## Types and Values

### struct GstTCPClientSrc

    struct GstTCPClientSrc;

## Property Details

### The `“host”` property

      “host”                     gchar *

The host IP address to receive packets from.

Flags: Read / Write

Default value: "localhost"

### The `“port”` property

      “port”                     gint

The port to receive packets from.

Flags: Read / Write

Allowed values: [0,65535]

Default value: 4953

## See Also

tcpclientsink